// pages/member/rankingListSecond/rankingListSecond.js
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    balance: 0,
    //数据列表
    listData: [],
    coin_name: "", //爱心值自定义名称
    usable: 0 // 登陆会员可用爱心值
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {
    this.getUsable();
    this.getBalance();
  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {

  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {

  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {

  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {

  },

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {

  },
  getUsable() {
    let urlStr = app.getNetAddresss("plugin.coin.Frontend.Controllers.page.index");
    app._getNetWork({
      url: urlStr,
      success: (res) => {
        if (res.data.result === 1) {
          this.setData({
            usable: res.data.data.usable,
            coin_name: res.data.data.coin_name
          });
          wx.setNavigationBarTitle({
            title: res.data.data.coin_name ? (res.data.data.coin_name + '激活记录') : '激活记录'
          });
        } else {
          wx.showToast({
            title: res.data.msg,
            icon: "none"
          });
        }
      },
      fail: function(res) {
        console.log(res);
      }
    });
  },
  goDetailed(val) {
    console.log(val, '详情');
    wx.navigateTo({
      url: '/packageB/member/love_activation/love_activation' + '?id=' + val.currentTarget.dataset.id || val.target.dataset
        .id
    });
  },
  getBalance() {
    let urlStr = app.getNetAddresss("plugin.coin.Frontend.Modules.Coin.Controllers.activation-records.index");
    app._getNetWork({
      url: urlStr,
      success: (res) => {
        if (res.data.result == 1) {
          this.setData({
            listData: res.data.data.data,
          });
        } else {
          wx.showToast({
            title: res.data.msg,
            icon: "none"
          });
        }
      },
      fail: function(res) {
        console.log(res);
      }
    });
  },
});
